Flyspray - The bug killer!

  • Status Closed
  • Percent Complete
    100%
  • Task Type Bug Report
  • Category Backend/Core
  • Assigned To No-one
  • Operating System All
  • Severity Low
  • Priority Very Low
  • Reported Version 1.0 devel (github master)
  • Due in Version Undecided
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: Flyspray - The bug killer!
Opened by Eric Blade - 25.11.2010
Last edited by Florian Schmitz - 07.11.2011

FS#1664 - E_DEPRECATED warning php < 5.3.0

PHP < 5.3.0 does not define E_DEPRECATED.

fix.inc.php:

@@ -9,11 +9,14 @@
ini_set('display_errors', 1);

html errors will mess the layout
ini_set('html_errors', 0);

-
error_reporting(E_ALL & ~E_DEPRECATED);
+if (version_compare(PHP_VERSION, '5.3.0') >= 0)
+ error_reporting(E_ALL & ~E_DEPRECATED);
+else
+ error_reporting(E_ALL);

// our default charset

ini_set('default_charset','utf-8');

Closed by  Florian Schmitz
07.11.2011 16:23
Reason for closing:  Duplicate
Additional comments about closing:  

 FS#1607 

Eric Blade commented on 25.11.2010 17:53

git://git.assembla.com/flyspray.git

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing